Subject: Re: [PATCH] git-send-email: Add auto-cc to all body signatures

From: Rasmus Villemoes <[email-masked]>
Date: Wed, 02 Dec 2015 11:04:02 +0100

On Thu, Dec 08 2011, Joe Perches <[email-masked]> wrote:

> On Thu, 2011-12-08 at 11:37 -0800, Junio C Hamano wrote:
>> Joe Perches <[email-masked]> writes:
>> > Many types of signatures are used by various projects.
>> > The most common type is formatted:
>> > 	"[some_signature_type]-by: First Last <[email-masked]>"
>> > e.g:
>> > 	"Reported-by: First Last <[email-masked]>" (no quotes are used)
>> This is just a phrasing issue, but I am a bit reluctant about the name
>> "signature".
>
> I've called all these markings signatures.
> Maybe email-address-tags or another name could be used.
> I'm not bothered one way or another by any chosen name.

It's been four years, but I recently ran into this. I mistakenly thought
that git would actually pick up cc addresses also from Reported-by, so
the reporter ended up not being cc'ed. Is there any chance this could be
revisited, or should I use a --cc-cmd to do what I want?

Rasmus